"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TextField_1 = require("../../../src/feed/field/TextField");
const DateField_1 = require("../../../src/feed/field/DateField");
const IntField_1 = require("../../../src/feed/field/IntField");
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const statusDiscount = new FixedWidthRecord_1.FixedWidthRecord("status_discount", ["status_code", "end_date", "discount_category"], {
    "status_code": new TextField_1.TextField(1, 3),
    "end_date": new DateField_1.DateField(4),
    "discount_category": new IntField_1.IntField(12, 2),
    "discount_indicator": new TextField_1.TextField(14, 1),
    "discount_percentage": new IntField_1.IntField(15, 3)
});
const status = new FixedWidthRecord_1.FixedWidthRecord("status", ["status_code", "end_date"], {
    "status_code": new TextField_1.TextField(1, 3),
    "end_date": new DateField_1.DateField(4),
    "start_date": new DateField_1.DateField(12),
    "atb_desc": new TextField_1.TextField(20, 5, true),
    "cc_desc": new TextField_1.TextField(25, 5, true),
    "uts_code": new TextField_1.TextField(30, 1),
    "first_single_max_flat": new IntField_1.IntField(31, 8, true),
    "first_return_max_flat": new IntField_1.IntField(39, 8, true),
    "std_single_max_flat": new IntField_1.IntField(47, 8, true),
    "std_return_max_flat": new IntField_1.IntField(55, 8, true),
    "first_lower_min": new IntField_1.IntField(63, 8, true),
    "first_higher_min": new IntField_1.IntField(71, 8, true),
    "std_lower_min": new IntField_1.IntField(79, 8, true),
    "std_higher_min": new IntField_1.IntField(87, 8, true),
    "fs_mkr": new BooleanField_1.BooleanField(95),
    "fr_mkr": new BooleanField_1.BooleanField(96),
    "ss_mkr": new BooleanField_1.BooleanField(97),
    "sr_mkr": new BooleanField_1.BooleanField(98)
});
const DIS = new MultiRecordFile_1.MultiRecordFile({
    "S": status,
    "D": statusDiscount
}, 0);
exports.default = DIS;
//# sourceMappingURL=DIS.js.map