"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TextField_1 = require("../../../src/feed/field/TextField");
const IntField_1 = require("../../../src/feed/field/IntField");
const DateField_1 = require("../../../src/feed/field/DateField");
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const Record_1 = require("../../../src/feed/record/Record");
const flowFixedWidthRecord = new FixedWidthRecord_1.FixedWidthRecord("flow", ["origin_code", "destination_code", "route_code", "status_code", "usage_code", "direction", "end_date"], {
    "origin_code": new TextField_1.TextField(2, 4),
    "destination_code": new TextField_1.TextField(6, 4),
    "route_code": new IntField_1.ZeroFillIntField(10, 5),
    "status_code": new IntField_1.ZeroFillIntField(15, 3),
    "usage_code": new TextField_1.TextField(18, 1),
    "direction": new TextField_1.TextField(19, 1),
    "end_date": new DateField_1.DateField(20),
    "start_date": new DateField_1.DateField(28),
    "toc": new TextField_1.TextField(36, 3),
    "cross_london_ind": new IntField_1.IntField(39, 1),
    "ns_disc_ind": new IntField_1.IntField(40, 1),
    "publication_ind": new TextField_1.TextField(41, 1),
    "flow_id": new IntField_1.IntField(42, 7),
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const fareFixedWidthRecord = new FixedWidthRecord_1.FixedWidthRecord("fare", ["flow_id", "ticket_code"], {
    "flow_id": new IntField_1.IntField(2, 7),
    "ticket_code": new TextField_1.TextField(9, 3),
    "fare": new IntField_1.IntField(12, 8),
    "restriction_code": new TextField_1.TextField(20, 2, true)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const FFL = new MultiRecordFile_1.MultiRecordFile({
    "F": flowFixedWidthRecord,
    "T": fareFixedWidthRecord
});
exports.default = FFL;
//# sourceMappingURL=FFL.js.map