"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const IntField_1 = require("../../../src/feed/field/IntField");
const TextField_1 = require("../../../src/feed/field/TextField");
const SingleRecordFile_1 = require("../../../src/feed/file/SingleRecordFile");
const DateField_1 = require("../../../src/feed/field/DateField");
const Record_1 = require("../../../src/feed/record/Record");
const discountFixedWidthRecord = new FixedWidthRecord_1.FixedWidthRecord("non_standard_discount", ["origin_code", "destination_code", "route_code", "railcard_code", "ticket_code", "end_date"], {
    "origin_code": new TextField_1.TextField(1, 4, true),
    "destination_code": new TextField_1.TextField(5, 4, true),
    "route_code": new IntField_1.ZeroFillIntField(9, 5, true),
    "railcard_code": new TextField_1.TextField(14, 3, true, ["*"]),
    "ticket_code": new TextField_1.TextField(17, 3, true),
    "end_date": new DateField_1.DateField(20),
    "start_date": new DateField_1.DateField(28),
    "quote_date": new DateField_1.DateField(36),
    "use_nlc": new TextField_1.TextField(44, 4, true),
    "adult_nodis_flag": new TextField_1.TextField(48, 1, false, []),
    "adult_add_on_amount": new IntField_1.IntField(49, 8, true),
    "adult_rebook_flag": new TextField_1.TextField(57, 1),
    "child_nodis_flag": new TextField_1.TextField(58, 1, false, []),
    "child_add_on_amount": new IntField_1.IntField(59, 8, true),
    "child_rebook_flag": new TextField_1.TextField(67, 1)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const FNS = new SingleRecordFile_1.SingleRecordFile(discountFixedWidthRecord);
exports.default = FNS;
//# sourceMappingURL=FNS.js.map