"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const SingleRecordFile_1 = require("../../../src/feed/file/SingleRecordFile");
const TextField_1 = require("../../../src/feed/field/TextField");
const DateField_1 = require("../../../src/feed/field/DateField");
const Record_1 = require("../../../src/feed/record/Record");
const clusterFixedWidthRecord = new FixedWidthRecord_1.FixedWidthRecord("station_cluster", ["cluster_id", "cluster_nlc", "end_date"], {
    "cluster_id": new TextField_1.TextField(1, 4),
    "cluster_nlc": new TextField_1.TextField(5, 4),
    "end_date": new DateField_1.DateField(9),
    "start_date": new DateField_1.DateField(17)
}, ["cluster_nlc"], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const FSC = new SingleRecordFile_1.SingleRecordFile(clusterFixedWidthRecord);
exports.default = FSC;
//# sourceMappingURL=FSC.js.map