"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const TextField_1 = require("../../../src/feed/field/TextField");
const DateField_1 = require("../../../src/feed/field/DateField");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const Record_1 = require("../../../src/feed/record/Record");
const location = new FixedWidthRecord_1.FixedWidthRecord("location", ["uic", "end_date", "start_date"], {
    "uic": new TextField_1.TextField(2, 7),
    "end_date": new DateField_1.DateField(9),
    "start_date": new DateField_1.DateField(17),
    "quote_date": new DateField_1.DateField(25),
    "area_admin_code": new TextField_1.TextField(34, 2),
    "nlc": new TextField_1.TextField(36, 4, true),
    "description": new TextField_1.TextField(40, 16),
    "crs": new TextField_1.TextField(56, 3, true),
    "resv": new TextField_1.TextField(59, 5),
    "ers_country": new TextField_1.TextField(64, 2, true),
    "ers_code": new TextField_1.TextField(66, 3, true),
    "fare_group": new TextField_1.TextField(69, 6, true),
    "county": new TextField_1.TextField(75, 2, true),
    "pte_code": new TextField_1.TextField(77, 2, true),
    "zone_no": new TextField_1.TextField(79, 4, true),
    "zone_ind": new TextField_1.TextField(83, 2, true),
    "region": new TextField_1.TextField(85, 1, true),
    "hierarchy": new TextField_1.TextField(86, 1, true),
    "cc_desc_out": new TextField_1.TextField(87, 41, true),
    "cc_desc_rtn": new TextField_1.TextField(128, 16, true),
    "atb_desc_out": new TextField_1.TextField(144, 60, true),
    "atb_desc_rtn": new TextField_1.TextField(204, 30, true),
    "special_facilities": new TextField_1.TextField(234, 26, true),
    "lul_direction_ind": new TextField_1.TextField(260, 1, true),
    "lul_uts_mode": new TextField_1.TextField(261, 1, true),
    "lul_zone_1": new BooleanField_1.BooleanField(262, true),
    "lul_zone_2": new BooleanField_1.BooleanField(263, true),
    "lul_zone_3": new BooleanField_1.BooleanField(264, true),
    "lul_zone_4": new BooleanField_1.BooleanField(265, true),
    "lul_zone_5": new BooleanField_1.BooleanField(266, true),
    "lul_zone_6": new BooleanField_1.BooleanField(267, true),
    "lul_uts_london_stn": new TextField_1.TextField(268, 1, true),
    "uts_code": new TextField_1.TextField(269, 3, true),
    "uts_a_code": new TextField_1.TextField(272, 3, true),
    "uts_ptr_bias": new TextField_1.TextField(275, 1, true),
    "uts_offset": new TextField_1.TextField(276, 1, true),
    "uts_north": new TextField_1.TextField(277, 3, true),
    "uts_east": new TextField_1.TextField(280, 3, true),
    "uts_south": new TextField_1.TextField(283, 3, true),
    "uts_west": new TextField_1.TextField(286, 3, true)
}, ["nlc"], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const association = new FixedWidthRecord_1.FixedWidthRecord("location_association", ["uic_code", "end_date", "assoc_uic_code"], {
    "uic_code": new TextField_1.TextField(2, 7),
    "end_date": new DateField_1.DateField(9),
    "assoc_uic_code": new TextField_1.TextField(17, 7),
    "assoc_crs_code": new TextField_1.TextField(24, 3)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const railcard = new FixedWidthRecord_1.FixedWidthRecord("location_railcard", ["uic_code", "railcard_code", "end_date"], {
    "uic_code": new TextField_1.TextField(2, 7),
    "railcard_code": new TextField_1.TextField(9, 3),
    "end_date": new DateField_1.DateField(12)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const group = new FixedWidthRecord_1.FixedWidthRecord("location_group", ["group_uic_code", "end_date"], {
    "group_uic_code": new TextField_1.TextField(2, 7),
    "end_date": new DateField_1.DateField(9),
    "start_date": new DateField_1.DateField(17),
    "quote_date": new DateField_1.DateField(25),
    "description": new TextField_1.TextField(33, 16),
    "ers_country": new TextField_1.TextField(49, 2, true),
    "ers_code": new TextField_1.TextField(51, 3, true)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const groupMember = new FixedWidthRecord_1.FixedWidthRecord("location_group_member", ["group_uic_code", "end_date", "member_uic_code"], {
    "group_uic_code": new TextField_1.TextField(2, 7),
    "end_date": new DateField_1.DateField(9),
    "member_uic_code": new TextField_1.TextField(17, 7),
    "member_crs_code": new TextField_1.TextField(24, 3)
}, ["member_uic_code"], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const synonym = new FixedWidthRecord_1.FixedWidthRecord("location_synonym", ["uic_code", "end_date", "start_date", "description"], {
    "uic_code": new TextField_1.TextField(2, 7),
    "end_date": new DateField_1.DateField(9),
    "start_date": new DateField_1.DateField(17),
    "description": new TextField_1.TextField(25, 16)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const LOC = new MultiRecordFile_1.MultiRecordFile({
    "L": location,
    "A": association,
    "G": group,
    "M": groupMember,
    "S": synonym,
    "R": railcard
});
exports.default = LOC;
//# sourceMappingURL=LOC.js.map