"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const SingleRecordFile_1 = require("../../../src/feed/file/SingleRecordFile");
const TextField_1 = require("../../../src/feed/field/TextField");
const IntField_1 = require("../../../src/feed/field/IntField");
const DateField_1 = require("../../../src/feed/field/DateField");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const nonDerivableFareFixedWidthRecord = new FixedWidthRecord_1.FixedWidthRecord("non_derivable_fare", ["origin_code", "destination_code", "route_code", "railcard_code", "ticket_code", "nd_record_type", "end_date"], {
    "origin_code": new TextField_1.TextField(1, 4),
    "destination_code": new TextField_1.TextField(5, 4),
    "route_code": new IntField_1.ZeroFillIntField(9, 5, true),
    "railcard_code": new TextField_1.TextField(14, 3, false, []),
    "ticket_code": new TextField_1.TextField(17, 3),
    "nd_record_type": new TextField_1.TextField(20, 1),
    "end_date": new DateField_1.DateField(21),
    "start_date": new DateField_1.DateField(29),
    "quote_date": new DateField_1.DateField(37),
    "suppress_mkr": new BooleanField_1.BooleanField(45),
    "adult_fare": new IntField_1.IntField(46, 8, true),
    "child_fare": new IntField_1.IntField(54, 8, true),
    "restriction_code": new TextField_1.TextField(62, 2, true),
    "composite_indicator": new TextField_1.TextField(64, 1),
    "cross_london_ind": new BooleanField_1.BooleanField(65),
    "ps_ind": new TextField_1.TextField(66, 1)
});
const NDF = new SingleRecordFile_1.SingleRecordFile(nonDerivableFareFixedWidthRecord);
exports.default = NDF;
//# sourceMappingURL=NDF.js.map