"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const SingleRecordFile_1 = require("../../../src/feed/file/SingleRecordFile");
const TextField_1 = require("../../../src/feed/field/TextField");
const DateField_1 = require("../../../src/feed/field/DateField");
const IntField_1 = require("../../../src/feed/field/IntField");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const record = new FixedWidthRecord_1.FixedWidthRecord("railcard", ["railcard_code", "end_date"], {
    "railcard_code": new TextField_1.TextField(0, 3, false, []),
    "end_date": new DateField_1.DateField(3),
    "start_date": new DateField_1.DateField(11),
    "quote_date": new DateField_1.DateField(19),
    "holder_type": new TextField_1.TextField(27, 1),
    "description": new TextField_1.TextField(28, 20),
    "restricted_by_issue": new BooleanField_1.BooleanField(48),
    "restricted_by_area": new BooleanField_1.BooleanField(49),
    "restricted_by_train": new BooleanField_1.BooleanField(50),
    "restricted_by_date": new BooleanField_1.BooleanField(51),
    "master_code": new TextField_1.TextField(52, 3, true),
    "display_flag": new TextField_1.TextField(55, 1),
    "max_passengers": new IntField_1.IntField(56, 3, false, []),
    "min_passengers": new IntField_1.IntField(59, 3, false, []),
    "max_holders": new IntField_1.IntField(62, 3, false, []),
    "min_holders": new IntField_1.IntField(65, 3, false, []),
    "max_acc_adults": new IntField_1.IntField(68, 3, false, []),
    "min_acc_adults": new IntField_1.IntField(71, 3, false, []),
    "max_adults": new IntField_1.IntField(74, 3, false, []),
    "min_adults": new IntField_1.IntField(77, 3, false, []),
    "max_children": new IntField_1.IntField(80, 3, false, []),
    "min_children": new IntField_1.IntField(83, 3, false, []),
    "price": new IntField_1.IntField(86, 8, true),
    "discount_price": new IntField_1.IntField(94, 8, true),
    "validity_period": new TextField_1.TextField(102, 4, true),
    "last_valid_date": new DateField_1.DateField(106, true),
    "physical_card": new BooleanField_1.BooleanField(114),
    "capri_ticket_type": new TextField_1.TextField(115, 3, true),
    "adult_status": new TextField_1.TextField(118, 3, true, [" ", "X"]),
    "child_status": new TextField_1.TextField(121, 3, true, [" ", "X"]),
    "aaa_status": new TextField_1.TextField(124, 3, true)
});
const RLC = new SingleRecordFile_1.SingleRecordFile(record);
exports.default = RLC;
//# sourceMappingURL=RLC.js.map