"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const TextField_1 = require("../../../src/feed/field/TextField");
const IntField_1 = require("../../../src/feed/field/IntField");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const TimeField_1 = require("../../../src/feed/field/TimeField");
const DateField_1 = require("../../../src/feed/field/DateField");
const Record_1 = require("../../../src/feed/record/Record");
const dates = new FixedWidthRecord_1.FixedWidthRecord("restriction_date", ["cf_mkr"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "start_date": new DateField_1.DateField(4),
    "end_date": new DateField_1.DateField(12),
    "atb_desc": new TextField_1.TextField(20, 5, true),
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const header = new FixedWidthRecord_1.FixedWidthRecord("restriction_header", ["cf_mkr", "restriction_code"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "restriction_code": new TextField_1.TextField(4, 2),
    "description": new TextField_1.TextField(6, 30, true),
    "desc_out": new TextField_1.TextField(36, 50, true),
    "desc_ret": new TextField_1.TextField(86, 50, true),
    "type_out": new TextField_1.TextField(136, 1),
    "type_ret": new TextField_1.TextField(137, 1),
    "change_ind": new BooleanField_1.BooleanField(138),
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const headerDate = new FixedWidthRecord_1.FixedWidthRecord("restriction_header_date", ["cf_mkr", "restriction_code", "date_from", "date_to"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "restriction_code": new TextField_1.TextField(4, 2),
    "date_from": new TextField_1.TextField(6, 4),
    "date_to": new TextField_1.TextField(10, 4),
    "monday": new BooleanField_1.BooleanField(14),
    "tuesday": new BooleanField_1.BooleanField(15),
    "wednesday": new BooleanField_1.BooleanField(16),
    "thursday": new BooleanField_1.BooleanField(17),
    "friday": new BooleanField_1.BooleanField(18),
    "saturday": new BooleanField_1.BooleanField(19),
    "sunday": new BooleanField_1.BooleanField(20),
    "start_date": new DateField_1.NullDateField(),
    "end_date": new DateField_1.NullDateField()
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const time = new FixedWidthRecord_1.FixedWidthRecord("restriction_time", ["cf_mkr", "restriction_code", "sequence_no", "out_ret"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "restriction_code": new TextField_1.TextField(4, 2),
    "sequence_no": new TextField_1.TextField(6, 4),
    "out_ret": new TextField_1.TextField(10, 1),
    "time_from": new TimeField_1.TimeField(11, 4, false, []),
    "time_to": new TimeField_1.TimeField(15, 4, false, []),
    "arr_dep_via": new TextField_1.TextField(19, 1),
    "location": new TextField_1.TextField(20, 3, true),
    "rstr_type": new TextField_1.TextField(23, 1),
    "train_type": new TextField_1.TextField(24, 1),
    "min_fare_flag": new BooleanField_1.BooleanField(25)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const timeDateBand = new FixedWidthRecord_1.FixedWidthRecord("restriction_time_date", ["cf_mkr", "restriction_code", "sequence_no", "out_ret", "date_from", "date_to"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "restriction_code": new TextField_1.TextField(4, 2),
    "sequence_no": new TextField_1.TextField(6, 4),
    "out_ret": new TextField_1.TextField(10, 1),
    "date_from": new TextField_1.TextField(11, 4),
    "date_to": new TextField_1.TextField(15, 4),
    "monday": new BooleanField_1.BooleanField(19),
    "tuesday": new BooleanField_1.BooleanField(20),
    "wednesday": new BooleanField_1.BooleanField(21),
    "thursday": new BooleanField_1.BooleanField(22),
    "friday": new BooleanField_1.BooleanField(23),
    "saturday": new BooleanField_1.BooleanField(24),
    "sunday": new BooleanField_1.BooleanField(25),
    "start_date": new DateField_1.NullDateField(),
    "end_date": new DateField_1.NullDateField()
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const timeToc = new FixedWidthRecord_1.FixedWidthRecord("restriction_time_toc", ["cf_mkr", "restriction_code", "sequence_no", "out_ret", "toc_code"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "restriction_code": new TextField_1.TextField(4, 2),
    "sequence_no": new TextField_1.TextField(6, 4),
    "out_ret": new TextField_1.TextField(10, 1),
    "toc_code": new TextField_1.TextField(11, 2)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const train = new FixedWidthRecord_1.FixedWidthRecord("restriction_train", ["cf_mkr", "restriction_code", "train_no", "out_ret"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "restriction_code": new TextField_1.TextField(4, 2),
    "train_no": new TextField_1.TextField(6, 6),
    "out_ret": new TextField_1.TextField(12, 1),
    "quota_ind": new TextField_1.TextField(13, 1),
    "sleeper_ind": new TextField_1.TextField(14, 1)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const trainDate = new FixedWidthRecord_1.FixedWidthRecord("restriction_train_date", ["cf_mkr", "restriction_code", "train_no", "out_ret", "date_from", "date_to"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "restriction_code": new TextField_1.TextField(4, 2),
    "train_no": new TextField_1.TextField(6, 6),
    "out_ret": new TextField_1.TextField(12, 1),
    "date_from": new TextField_1.TextField(13, 4),
    "date_to": new TextField_1.TextField(17, 4),
    "monday": new BooleanField_1.BooleanField(21),
    "tuesday": new BooleanField_1.BooleanField(22),
    "wednesday": new BooleanField_1.BooleanField(23),
    "thursday": new BooleanField_1.BooleanField(24),
    "friday": new BooleanField_1.BooleanField(25),
    "saturday": new BooleanField_1.BooleanField(26),
    "sunday": new BooleanField_1.BooleanField(27),
    "start_date": new DateField_1.NullDateField(),
    "end_date": new DateField_1.NullDateField()
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const trainQuota = new FixedWidthRecord_1.FixedWidthRecord("restriction_train_quota", ["cf_mkr", "restriction_code", "train_no", "out_ret", "location", "quota_ind", "arr_dep"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "restriction_code": new TextField_1.TextField(4, 2),
    "train_no": new TextField_1.TextField(6, 6),
    "out_ret": new TextField_1.TextField(12, 1),
    "location": new TextField_1.TextField(13, 3),
    "quota_ind": new TextField_1.TextField(16, 1, true),
    "arr_dep": new TextField_1.TextField(17, 1)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const railcard = new FixedWidthRecord_1.FixedWidthRecord("restriction_railcard", ["cf_mkr", "railcard_code", "sequence_no"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "railcard_code": new TextField_1.TextField(4, 3),
    "sequence_no": new TextField_1.TextField(7, 4),
    "ticket_code": new TextField_1.TextField(11, 3, true),
    "route_code": new IntField_1.ZeroFillIntField(14, 5, true),
    "location": new TextField_1.TextField(19, 3, true),
    "restriction_code": new TextField_1.TextField(22, 2, true),
    "total_ban": new BooleanField_1.BooleanField(24, false, ["Y"], [" "], [])
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const exceptionCode = new FixedWidthRecord_1.FixedWidthRecord("restriction_exception", ["cf_mkr", "exception_code"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "exception_code": new TextField_1.TextField(4, 1),
    "description": new TextField_1.TextField(5, 50)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const ticketCalendar = new FixedWidthRecord_1.FixedWidthRecord("restriction_ticket_calendar", ["cf_mkr", "ticket_code", "cal_type", "route_code", "country_code", "date_from", "date_to"], {
    "cf_mkr": new TextField_1.TextField(3, 1),
    "ticket_code": new TextField_1.TextField(4, 3),
    "cal_type": new TextField_1.TextField(7, 1),
    "route_code": new IntField_1.ZeroFillIntField(8, 5, true),
    "country_code": new TextField_1.TextField(13, 1, false, []),
    "date_from": new TextField_1.TextField(14, 4),
    "date_to": new TextField_1.TextField(18, 4),
    "monday": new BooleanField_1.BooleanField(22),
    "tuesday": new BooleanField_1.BooleanField(23),
    "wednesday": new BooleanField_1.BooleanField(24),
    "thursday": new BooleanField_1.BooleanField(25),
    "friday": new BooleanField_1.BooleanField(26),
    "saturday": new BooleanField_1.BooleanField(27),
    "sunday": new BooleanField_1.BooleanField(28),
    "start_date": new DateField_1.NullDateField(),
    "end_date": new DateField_1.NullDateField()
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const RST = new MultiRecordFile_1.MultiRecordFile({
    "RD": dates,
    "RH": header,
    "HD": headerDate,
    "TR": time,
    "TD": timeDateBand,
    "TT": timeToc,
    "SR": train,
    "SD": trainDate,
    "SQ": trainQuota,
    "RR": railcard,
    "EC": exceptionCode,
    "CA": ticketCalendar
}, 1, 2);
exports.default = RST;
//# sourceMappingURL=RST.js.map