"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const TextField_1 = require("../../../src/feed/field/TextField");
const DateField_1 = require("../../../src/feed/field/DateField");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const Record_1 = require("../../../src/feed/record/Record");
const route = new FixedWidthRecord_1.FixedWidthRecord("route", ["route_code", "end_date"], {
    "route_code": new TextField_1.TextField(2, 5),
    "end_date": new DateField_1.DateField(7),
    "start_date": new DateField_1.DateField(15),
    "quote_date": new DateField_1.DateField(23),
    "description": new TextField_1.TextField(31, 16),
    "atb_desc_1": new TextField_1.TextField(47, 35, true),
    "atb_desc_2": new TextField_1.TextField(82, 35, true),
    "atb_desc_3": new TextField_1.TextField(117, 35, true),
    "atb_desc_4": new TextField_1.TextField(152, 35, true),
    "cc_desc": new TextField_1.TextField(187, 16),
    "aaa_desc": new TextField_1.TextField(203, 41, true),
    "uts_mode": new TextField_1.TextField(244, 1, false, []),
    "uts_zone_1": new BooleanField_1.BooleanField(245),
    "uts_zone_2": new BooleanField_1.BooleanField(246),
    "uts_zone_3": new BooleanField_1.BooleanField(247),
    "uts_zone_4": new BooleanField_1.BooleanField(248),
    "uts_zone_5": new BooleanField_1.BooleanField(249),
    "uts_zone_6": new BooleanField_1.BooleanField(250),
    "uts_north": new TextField_1.TextField(251, 3),
    "uts_east": new TextField_1.TextField(254, 3),
    "uts_south": new TextField_1.TextField(257, 3),
    "uts_west": new TextField_1.TextField(260, 3)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const location = new FixedWidthRecord_1.FixedWidthRecord("route_location", ["route_code", "end_date", "admin_area_code", "nlc_code"], {
    "route_code": new TextField_1.TextField(2, 5),
    "end_date": new DateField_1.DateField(7),
    "admin_area_code": new TextField_1.TextField(15, 3),
    "nlc_code": new TextField_1.TextField(18, 4),
    "crs_code": new TextField_1.TextField(22, 3, true),
    "incl_excl": new TextField_1.TextField(25, 1)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const RTE = new MultiRecordFile_1.MultiRecordFile({
    "R": route,
    "L": location
});
exports.default = RTE;
//# sourceMappingURL=RTE.js.map