"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const TextField_1 = require("../../../src/feed/field/TextField");
const DateField_1 = require("../../../src/feed/field/DateField");
const pkg = new FixedWidthRecord_1.FixedWidthRecord("package", ["package_code", "end_date"], {
    "package_code": new TextField_1.TextField(1, 3),
    "end_date": new DateField_1.DateField(4),
    "start_date": new DateField_1.DateField(12),
    "quote_date": new DateField_1.DateField(20),
    "restriction_code": new TextField_1.TextField(28, 2, true),
    "origin_facilities": new TextField_1.TextField(30, 26, true),
    "destination_facilities": new TextField_1.TextField(56, 26, true)
});
const supplement = new FixedWidthRecord_1.FixedWidthRecord("package_supplement", ["package_code", "end_date", "supplement_code"], {
    "package_code": new TextField_1.TextField(1, 3),
    "end_date": new DateField_1.DateField(4),
    "supplement_code": new TextField_1.TextField(12, 3),
    "direction": new TextField_1.TextField(15, 1),
    "pack_number": new TextField_1.TextField(16, 3),
    "origin_facility": new TextField_1.TextField(19, 1, true),
    "dest_facility": new TextField_1.TextField(20, 1, true)
});
const TPK = new MultiRecordFile_1.MultiRecordFile({
    "P": pkg,
    "S": supplement
}, 0);
exports.default = TPK;
//# sourceMappingURL=TPK.js.map