"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const TextField_1 = require("../../../src/feed/field/TextField");
const DateField_1 = require("../../../src/feed/field/DateField");
const IntField_1 = require("../../../src/feed/field/IntField");
const rover = new FixedWidthRecord_1.FixedWidthRecord("rover", ["rover_code", "end_date"], {
    "rover_code": new TextField_1.TextField(1, 3),
    "end_date": new DateField_1.DateField(4),
    "start_date": new DateField_1.DateField(12),
    "quote_date": new DateField_1.DateField(20),
    "description": new TextField_1.TextField(28, 30),
    "ticket_desc": new TextField_1.TextField(58, 15),
    "capri_ticket_code": new TextField_1.TextField(73, 3, true),
    "rover_accounting_code": new TextField_1.TextField(76, 4),
    "days_travel": new IntField_1.IntField(80, 3),
    "months_valid": new IntField_1.IntField(83, 2),
    "days_valid": new IntField_1.IntField(85, 2)
});
const price = new FixedWidthRecord_1.FixedWidthRecord("rover_price", ["rover_code", "end_date", "railcard_code", "rover_class"], {
    "rover_code": new TextField_1.TextField(1, 3),
    "end_date": new DateField_1.DateField(4),
    "railcard_code": new TextField_1.TextField(12, 3, false, []),
    "rover_class": new IntField_1.IntField(15, 1),
    "adult_fare": new IntField_1.IntField(16, 8, true),
    "child_fare": new IntField_1.IntField(24, 8, true),
    "restriction_code": new TextField_1.TextField(32, 2, true)
});
const TRR = new MultiRecordFile_1.MultiRecordFile({
    "R": rover,
    "P": price
}, 0);
exports.default = TRR;
//# sourceMappingURL=TRR.js.map