"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const SingleRecordFile_1 = require("../../../src/feed/file/SingleRecordFile");
const TextField_1 = require("../../../src/feed/field/TextField");
const DateField_1 = require("../../../src/feed/field/DateField");
const IntField_1 = require("../../../src/feed/field/IntField");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const Record_1 = require("../../../src/feed/record/Record");
const ticketTypeFixedWidthRecord = new FixedWidthRecord_1.FixedWidthRecord("ticket_type", ["ticket_code", "end_date"], {
    "ticket_code": new TextField_1.TextField(1, 3),
    "end_date": new DateField_1.DateField(4),
    "start_date": new DateField_1.DateField(12),
    "quote_date": new DateField_1.DateField(20),
    "description": new TextField_1.TextField(28, 15),
    "tkt_class": new IntField_1.IntField(43, 1, false, []),
    "tkt_type": new TextField_1.TextField(44, 1),
    "tkt_group": new TextField_1.TextField(45, 1),
    "last_valid_day": new DateField_1.DateField(46),
    "max_passengers": new IntField_1.IntField(54, 3, false, []),
    "min_passengers": new IntField_1.IntField(57, 3, false, []),
    "max_adults": new IntField_1.IntField(60, 3, false, []),
    "min_adults": new IntField_1.IntField(63, 3, false, []),
    "max_children": new IntField_1.IntField(66, 3, false, []),
    "min_children": new IntField_1.IntField(69, 3, false, []),
    "restricted_by_date": new BooleanField_1.BooleanField(72),
    "restricted_by_train": new BooleanField_1.BooleanField(73),
    "restricted_by_area": new BooleanField_1.BooleanField(74),
    "validity_code": new TextField_1.TextField(75, 2),
    "atb_description": new TextField_1.TextField(77, 20),
    "lul_xlondon_issue": new IntField_1.IntField(97, 1),
    "reservation_required": new TextField_1.TextField(98, 1),
    "capri_code": new TextField_1.TextField(99, 3),
    "lul_93": new BooleanField_1.BooleanField(102, true),
    "uts_code": new TextField_1.TextField(103, 2),
    "time_restriction": new IntField_1.IntField(105, 1, true),
    "free_pass_lul": new BooleanField_1.BooleanField(106, true),
    "package_mkr": new TextField_1.TextField(107, 1),
    "fare_multiplier": new IntField_1.IntField(108, 3),
    "discount_category": new IntField_1.IntField(111, 2)
}, [], {
    "I": Record_1.RecordAction.Insert,
    "A": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete,
    "R": Record_1.RecordAction.Insert
});
const TTY = new SingleRecordFile_1.SingleRecordFile(ticketTypeFixedWidthRecord);
exports.default = TTY;
//# sourceMappingURL=TTY.js.map