"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const SingleRecordFile_1 = require("../../../src/feed/file/SingleRecordFile");
const TextField_1 = require("../../../src/feed/field/TextField");
const IntField_1 = require("../../../src/feed/field/IntField");
const DateField_1 = require("../../../src/feed/field/DateField");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const ticketValidity = new FixedWidthRecord_1.FixedWidthRecord("ticket_validity", ["validity_code", "end_date"], {
    "validity_code": new TextField_1.TextField(0, 2),
    "end_date": new DateField_1.DateField(2),
    "start_date": new DateField_1.DateField(10),
    "description": new TextField_1.TextField(18, 20),
    "out_days": new IntField_1.IntField(38, 2),
    "out_months": new IntField_1.IntField(40, 2),
    "ret_days": new IntField_1.IntField(42, 2),
    "ret_months": new IntField_1.IntField(44, 2),
    "ret_after_days": new IntField_1.IntField(46, 2),
    "ret_after_months": new IntField_1.IntField(48, 2),
    "ret_after_day": new TextField_1.TextField(50, 2, true),
    "break_out": new BooleanField_1.BooleanField(52),
    "break_in": new BooleanField_1.BooleanField(53),
    "out_description": new TextField_1.TextField(54, 14),
    "rtn_description": new TextField_1.TextField(68, 14)
});
const TVL = new SingleRecordFile_1.SingleRecordFile(ticketValidity);
exports.default = TVL;
//# sourceMappingURL=TVL.js.map