"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const IntField_1 = require("../../../src/feed/field/IntField");
const TextField_1 = require("../../../src/feed/field/TextField");
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const SingleRecordFile_1 = require("../../../src/feed/file/SingleRecordFile");
const nfm64Row = new FixedWidthRecord_1.FixedWidthRecord("nfm64", ["origin", "destination", "route_code", "ticket_code"], {
    "origin": new TextField_1.TextField(0, 4),
    "destination": new TextField_1.TextField(4, 4),
    "route_code": new TextField_1.TextField(8, 5),
    "ticket_code": new TextField_1.TextField(13, 3),
    "price": new IntField_1.IntField(16, 6)
});
const acceptedTicketTypes = ["SOS", "SDS", "CDS", "SVS"];
const filter = (line) => {
    return acceptedTicketTypes.includes(line.substr(13, 3));
};
const NFM64 = new SingleRecordFile_1.SingleRecordFile(nfm64Row, filter);
exports.default = NFM64;
//# sourceMappingURL=nfm64.js.map