"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CSVRecord_1 = require("../../../src/feed/record/CSVRecord");
const TextField_1 = require("../../../src/feed/field/TextField");
const IntField_1 = require("../../../src/feed/field/IntField");
const DateField_1 = require("../../../src/feed/field/DateField");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const easement = new FixedWidthRecord_1.FixedWidthRecord("easement", ["easement_ref"], {
    "easement_ref": new TextField_1.TextField(2, 6),
    "start_date": new DateField_1.DateField(9),
    "end_date": new DateField_1.DateField(18),
    "text_ref": new TextField_1.TextField(27, 6),
    "easement_type": new IntField_1.IntField(34, 1),
    "easement_class": new IntField_1.IntField(36, 1),
    "category": new IntField_1.IntField(38, 1),
    "monday": new BooleanField_1.BooleanField(40, true, ["1", "Y", ","]),
    "tuesday": new BooleanField_1.BooleanField(41, true, ["1", "Y", ","]),
    "wednesday": new BooleanField_1.BooleanField(42, true, ["1", "Y", ","]),
    "thursday": new BooleanField_1.BooleanField(43, true, ["1", "Y", ","]),
    "friday": new BooleanField_1.BooleanField(44, true, ["1", "Y", ","]),
    "saturday": new BooleanField_1.BooleanField(45, true, ["1", "Y", ","]),
    "sunday": new BooleanField_1.BooleanField(46, true, ["1", "Y", ","])
});
const easementLocation = new CSVRecord_1.CSVRecord("easement_location", [], {
    "easement_ref": new TextField_1.TextField(1, 6),
    "location_code": new TextField_1.TextField(2, 3),
    "location_modifier": new IntField_1.IntField(3, 1),
});
const easementDetail = new CSVRecord_1.CSVRecord("easement_detail", ["easement_ref", "detail_type", "detail_code"], {
    "easement_ref": new TextField_1.TextField(1, 6),
    "detail_type": new IntField_1.IntField(2, 1),
    "detail_code": new TextField_1.VariableLengthText(3, 8),
});
const easementException = new CSVRecord_1.CSVRecord("easement_exception", ["easement_ref", "exception_type", "exception_code"], {
    "easement_ref": new TextField_1.TextField(1, 6),
    "exception_type": new IntField_1.IntField(2, 1),
    "exception_code": new TextField_1.VariableLengthText(3, 8),
});
const RGF = new MultiRecordFile_1.MultiRecordFile({
    "E": easement,
    "L": easementLocation,
    "D": easementDetail,
    "X": easementException,
}, 0);
exports.default = RGF;
//# sourceMappingURL=RGF.js.map