"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const CSVRecord_1 = require("../../../src/feed/record/CSVRecord");
const IntField_1 = require("../../../src/feed/field/IntField");
const TextField_1 = require("../../../src/feed/field/TextField");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const londonRoute = new CSVRecord_1.CSVRecord("london_route", ["route_code"], {
    "route_code": new IntField_1.ZeroFillIntField(0, 5),
    "london_marker": new IntField_1.IntField(2, 1)
});
const routeData = new CSVRecord_1.CSVRecord("route_data", [], {
    "route_code": new IntField_1.ZeroFillIntField(0, 5),
    "entry_type": new TextField_1.TextField(2, 1),
    "crs_code": new TextField_1.TextField(3, 3, true),
    "group_mkr": new BooleanField_1.BooleanField(4),
    "mode_code": new IntField_1.ZeroFillIntField(5, 3, true, [" "]),
    "toc_id": new TextField_1.TextField(6, 2, true),
});
const RGK = new MultiRecordFile_1.MultiRecordFile({
    "L": londonRoute,
    "D": routeData,
}, 6);
exports.default = RGK;
//# sourceMappingURL=RGK.js.map