"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TextField_1 = require("../../../src/feed/field/TextField");
const IntField_1 = require("../../../src/feed/field/IntField");
const CSVRecord_1 = require("../../../src/feed/record/CSVRecord");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const fixedLink = new CSVRecord_1.CSVRecord("fixed_link", ["mode", "origin", "destination"], {
    "mode": new TextField_1.VariableLengthText(2, 10),
    "origin": new TextField_1.TextField(4, 3),
    "destination": new TextField_1.TextField(6, 3),
    "duration": new IntField_1.IntField(-2, 3, false, [])
}, [], " ");
// Note - this is not really a multi record file, but it's an easy way to ignore the last line that states: END
const FLF = new MultiRecordFile_1.MultiRecordFile({
    "A": fixedLink
}, 0);
exports.default = FLF;
//# sourceMappingURL=FLF.js.map