import { FixedWidthRecord, RecordWithManualIdentifier } from "../../../src/feed/record/FixedWidthRecord";
import { TextField, VariableLengthText } from "../../../src/feed/field/TextField";
import { MultiRecordFile } from "../../../src/feed/file/MultiRecordFile";
import { IntField } from "../../../src/feed/field/IntField";
import { ForeignKeyField } from "../../../src/feed/field/ForeignKeyField";
import { TimeField } from "../../../src/feed/field/TimeField";
import { MultiFormatRecord } from "../../../src/feed/record/MultiFormatRecord";
export declare const tiplocInsert: FixedWidthRecord;
export declare const association: FixedWidthRecord;
export declare const schedule: RecordWithManualIdentifier;
export declare const extraDetails: FixedWidthRecord;
export declare const stopRecordTypes: {
    LO: {
        schedule: ForeignKeyField;
        location: TextField;
        suffix: IntField;
        scheduled_arrival_time: TimeField;
        scheduled_departure_time: TimeField;
        scheduled_pass_time: TimeField;
        public_arrival_time: TimeField;
        public_departure_time: TimeField;
        platform: TextField;
        line: TextField;
        path: TextField;
        activity: VariableLengthText;
        engineering_allowance: TextField;
        pathing_allowance: TextField;
        performance_allowance: TextField;
    };
    LI: {
        schedule: ForeignKeyField;
        location: TextField;
        suffix: IntField;
        scheduled_arrival_time: TimeField;
        scheduled_departure_time: TimeField;
        scheduled_pass_time: TimeField;
        public_arrival_time: TimeField;
        public_departure_time: TimeField;
        platform: TextField;
        line: TextField;
        path: TextField;
        activity: VariableLengthText;
        engineering_allowance: TextField;
        pathing_allowance: TextField;
        performance_allowance: TextField;
    };
    LT: {
        schedule: ForeignKeyField;
        location: TextField;
        suffix: IntField;
        scheduled_arrival_time: TimeField;
        scheduled_departure_time: TimeField;
        scheduled_pass_time: TimeField;
        public_arrival_time: TimeField;
        public_departure_time: TimeField;
        platform: TextField;
        line: TextField;
        path: TextField;
        activity: VariableLengthText;
        engineering_allowance: TextField;
        pathing_allowance: TextField;
        performance_allowance: TextField;
    };
};
export declare const stop: MultiFormatRecord;
export declare const change: FixedWidthRecord;
declare const MCA: MultiRecordFile;
export default MCA;
