"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.change = exports.stop = exports.stopRecordTypes = exports.extraDetails = exports.schedule = exports.association = exports.tiplocInsert = void 0;
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const TextField_1 = require("../../../src/feed/field/TextField");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const BooleanField_1 = require("../../../src/feed/field/BooleanField");
const DateField_1 = require("../../../src/feed/field/DateField");
const IntField_1 = require("../../../src/feed/field/IntField");
const ForeignKeyField_1 = require("../../../src/feed/field/ForeignKeyField");
const TimeField_1 = require("../../../src/feed/field/TimeField");
const MultiFormatRecord_1 = require("../../../src/feed/record/MultiFormatRecord");
const Record_1 = require("../../../src/feed/record/Record");
exports.tiplocInsert = new FixedWidthRecord_1.FixedWidthRecord("tiploc", ["tiploc_code"], {
    "tiploc_code": new TextField_1.TextField(2, 7),
    "capitals": new TextField_1.TextField(9, 2),
    "nalco": new TextField_1.TextField(11, 6),
    "nlc_check_character": new TextField_1.TextField(17, 1),
    "tps_description": new TextField_1.TextField(18, 26, true),
    "stanox": new TextField_1.TextField(44, 5),
    "po_mcp_code": new IntField_1.IntField(49, 4),
    "crs_code": new TextField_1.TextField(53, 3, true),
    "description": new TextField_1.TextField(56, 16, true)
}, ["crs_code"]);
exports.association = new FixedWidthRecord_1.FixedWidthRecord("association", ["base_uid", "assoc_uid", "assoc_location", "start_date", "stp_indicator"], {
    "base_uid": new TextField_1.TextField(3, 6),
    "assoc_uid": new TextField_1.TextField(9, 6),
    "start_date": new DateField_1.ShortDateField(15),
    "end_date": new DateField_1.ShortDateField(21),
    "monday": new BooleanField_1.BooleanField(27),
    "tuesday": new BooleanField_1.BooleanField(28),
    "wednesday": new BooleanField_1.BooleanField(29),
    "thursday": new BooleanField_1.BooleanField(30),
    "friday": new BooleanField_1.BooleanField(31),
    "saturday": new BooleanField_1.BooleanField(32),
    "sunday": new BooleanField_1.BooleanField(33),
    "assoc_cat": new TextField_1.TextField(34, 2, true),
    "assoc_date_ind": new TextField_1.TextField(36, 1, true),
    "assoc_location": new TextField_1.TextField(37, 7),
    "base_location_suffix": new TextField_1.TextField(44, 1, false, []),
    "assoc_location_suffix": new TextField_1.TextField(45, 1, false, []),
    "association_type": new TextField_1.TextField(47, 1, true),
    "stp_indicator": new TextField_1.TextField(79, 1)
}, ["end_date"], {
    "N": Record_1.RecordAction.Insert,
    "R": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete
}, 2);
exports.schedule = new FixedWidthRecord_1.RecordWithManualIdentifier("schedule", ["train_uid", "runs_from", "stp_indicator"], {
    "train_uid": new TextField_1.TextField(3, 6),
    "runs_from": new DateField_1.ShortDateField(9),
    "runs_to": new DateField_1.ShortDateField(15),
    "monday": new BooleanField_1.BooleanField(21),
    "tuesday": new BooleanField_1.BooleanField(22),
    "wednesday": new BooleanField_1.BooleanField(23),
    "thursday": new BooleanField_1.BooleanField(24),
    "friday": new BooleanField_1.BooleanField(25),
    "saturday": new BooleanField_1.BooleanField(26),
    "sunday": new BooleanField_1.BooleanField(27),
    "bank_holiday_running": new BooleanField_1.BooleanField(28, false, [" "], ["X"], []),
    "train_status": new TextField_1.TextField(29, 1, true),
    "train_category": new TextField_1.TextField(30, 2, true),
    "train_identity": new TextField_1.TextField(32, 4, true),
    "headcode": new TextField_1.TextField(36, 4, true),
    "course_indicator": new TextField_1.TextField(40, 1),
    "profit_center": new TextField_1.TextField(41, 8, true),
    "business_sector": new TextField_1.TextField(49, 1, true),
    "power_type": new TextField_1.TextField(50, 3, true),
    "timing_load": new TextField_1.TextField(53, 4, true),
    "speed": new TextField_1.TextField(57, 3, true),
    "operating_chars": new TextField_1.TextField(60, 6, true),
    "train_class": new TextField_1.TextField(66, 1, true),
    "sleepers": new TextField_1.TextField(67, 1, true),
    "reservations": new TextField_1.TextField(68, 1, true),
    "connect_indicator": new TextField_1.TextField(69, 1, true),
    "catering_code": new TextField_1.TextField(70, 4, true),
    "service_branding": new TextField_1.TextField(74, 4, true),
    "stp_indicator": new TextField_1.TextField(79, 1)
}, ["runs_from"], {
    "N": Record_1.RecordAction.Insert,
    "R": Record_1.RecordAction.Update,
    "D": Record_1.RecordAction.Delete
}, 2);
exports.extraDetails = new FixedWidthRecord_1.FixedWidthRecord("schedule_extra", [], {
    "schedule": new ForeignKeyField_1.ForeignKeyField(exports.schedule),
    "traction_class": new TextField_1.TextField(2, 4, true),
    "uic_code": new TextField_1.TextField(6, 5, true),
    "atoc_code": new TextField_1.TextField(11, 2),
    "applicable_timetable_code": new TextField_1.TextField(13, 1),
    "retail_train_id": new TextField_1.TextField(14, 8, true),
    "source": new TextField_1.TextField(22, 1, true)
}, ["schedule"]);
exports.stopRecordTypes = {
    "LO": {
        "schedule": new ForeignKeyField_1.ForeignKeyField(exports.schedule),
        "location": new TextField_1.TextField(2, 7),
        "suffix": new IntField_1.IntField(9, 1, true),
        "scheduled_arrival_time": new TimeField_1.TimeField(43, 5),
        "scheduled_departure_time": new TimeField_1.TimeField(10, 5),
        "scheduled_pass_time": new TimeField_1.TimeField(43, 5),
        "public_arrival_time": new TimeField_1.TimeField(43, 4),
        "public_departure_time": new TimeField_1.TimeField(15, 4),
        "platform": new TextField_1.TextField(19, 3, true),
        "line": new TextField_1.TextField(22, 3, true),
        "path": new TextField_1.TextField(43, 3, true),
        "activity": new TextField_1.VariableLengthText(29, 12, false, []),
        "engineering_allowance": new TextField_1.TextField(25, 2, true),
        "pathing_allowance": new TextField_1.TextField(27, 2, true),
        "performance_allowance": new TextField_1.TextField(41, 2, true)
    },
    "LI": {
        "schedule": new ForeignKeyField_1.ForeignKeyField(exports.schedule),
        "location": new TextField_1.TextField(2, 7),
        "suffix": new IntField_1.IntField(9, 1, true),
        "scheduled_arrival_time": new TimeField_1.TimeField(10, 5),
        "scheduled_departure_time": new TimeField_1.TimeField(15, 5),
        "scheduled_pass_time": new TimeField_1.TimeField(20, 5),
        "public_arrival_time": new TimeField_1.TimeField(25, 4),
        "public_departure_time": new TimeField_1.TimeField(29, 4),
        "platform": new TextField_1.TextField(33, 3, true),
        "line": new TextField_1.TextField(36, 3, true),
        "path": new TextField_1.TextField(39, 3, true),
        "activity": new TextField_1.VariableLengthText(42, 12, false, []),
        "engineering_allowance": new TextField_1.TextField(54, 2, true),
        "pathing_allowance": new TextField_1.TextField(56, 2, true),
        "performance_allowance": new TextField_1.TextField(58, 2, true)
    },
    "LT": {
        "schedule": new ForeignKeyField_1.ForeignKeyField(exports.schedule),
        "location": new TextField_1.TextField(2, 7),
        "suffix": new IntField_1.IntField(9, 1, true),
        "scheduled_arrival_time": new TimeField_1.TimeField(10, 5),
        "scheduled_departure_time": new TimeField_1.TimeField(43, 5),
        "scheduled_pass_time": new TimeField_1.TimeField(43, 5),
        "public_arrival_time": new TimeField_1.TimeField(15, 4),
        "public_departure_time": new TimeField_1.TimeField(43, 4),
        "platform": new TextField_1.TextField(19, 3, true),
        "line": new TextField_1.TextField(43, 3, true),
        "path": new TextField_1.TextField(22, 3, true),
        "activity": new TextField_1.VariableLengthText(25, 12, false, []),
        "engineering_allowance": new TextField_1.TextField(54, 2, true),
        "pathing_allowance": new TextField_1.TextField(56, 2, true),
        "performance_allowance": new TextField_1.TextField(58, 2, true)
    }
};
exports.stop = new MultiFormatRecord_1.MultiFormatRecord("stop_time", ["schedule", "location", "suffix", "public_departure_time"], exports.stopRecordTypes.LI, exports.stopRecordTypes, 0, 2, [], true);
exports.change = new FixedWidthRecord_1.FixedWidthRecord("service_change", [], {
    "stop": new ForeignKeyField_1.ForeignKeyField(exports.stop, 1),
    "location": new TextField_1.TextField(2, 7),
    "suffix": new IntField_1.IntField(9, 1, true),
    "train_category": new TextField_1.TextField(10, 2, true),
    "train_identity": new TextField_1.TextField(12, 4, true),
    "headcode": new TextField_1.TextField(16, 4, true),
    "course_indicator": new TextField_1.TextField(20, 1),
    "profit_center": new TextField_1.TextField(21, 8, true),
    "business_sector": new TextField_1.TextField(29, 1, true),
    "power_type": new TextField_1.TextField(30, 3, true),
    "timing_load": new TextField_1.TextField(33, 4, true),
    "speed": new TextField_1.TextField(37, 3, true),
    "operating_chars": new TextField_1.TextField(40, 6, true),
    "train_class": new TextField_1.TextField(46, 1, true),
    "sleepers": new TextField_1.TextField(47, 1, true),
    "reservations": new TextField_1.TextField(48, 1, true),
    "connect_indicator": new TextField_1.TextField(49, 1, true),
    "catering_code": new TextField_1.TextField(50, 4, true),
    "service_branding": new TextField_1.TextField(54, 4, true),
    "traction_class": new TextField_1.TextField(58, 4, true),
    "uic_code": new TextField_1.TextField(62, 5, true),
    "retail_train_id": new TextField_1.TextField(67, 8, true),
}, ["stop"]);
const MCA = new MultiRecordFile_1.MultiRecordFile({
    "AA": exports.association,
    "TI": exports.tiplocInsert,
    "TA": exports.tiplocInsert,
    "BS": exports.schedule,
    "BX": exports.extraDetails,
    "LO": exports.stop,
    "LI": exports.stop,
    "LT": exports.stop,
    "CR": exports.change
}, 0, 2);
exports.default = MCA;
//# sourceMappingURL=MCA.js.map