"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const FixedWidthRecord_1 = require("../../../src/feed/record/FixedWidthRecord");
const TextField_1 = require("../../../src/feed/field/TextField");
const IntField_1 = require("../../../src/feed/field/IntField");
const MultiRecordFile_1 = require("../../../src/feed/file/MultiRecordFile");
const physicalStation = new FixedWidthRecord_1.FixedWidthRecord("physical_station", ["tiploc_code"], {
    "station_name": new TextField_1.TextField(5, 26),
    "cate_interchange_status": new IntField_1.IntField(35, 1, true, ["S"]), // hack for header
    "tiploc_code": new TextField_1.TextField(36, 7),
    "crs_reference_code": new TextField_1.TextField(43, 3, true),
    "crs_code": new TextField_1.TextField(49, 3, true),
    // The actual easting is (easting - 10000) * 100
    "easting": new IntField_1.IntField(52, 5, true),
    // The actual northing is (northing - 60000) * 100
    "northing": new IntField_1.IntField(58, 5, true),
    "minimum_change_time": new IntField_1.IntField(63, 2, false, [])
}, ["crs_code"]);
const alias = new FixedWidthRecord_1.FixedWidthRecord("alias", ["station_name"], {
    "station_name": new TextField_1.TextField(5, 26),
    "station_alias": new TextField_1.TextField(36, 26)
});
const MSN = new MultiRecordFile_1.MultiRecordFile({
    "A": physicalStation,
    "L": alias
}, 0);
exports.default = MSN;
//# sourceMappingURL=MSN.js.map