import { CLICommand } from "./CLICommand";
import { DatabaseConnection } from "../database/DatabaseConnection";
export declare class CleanFaresCommand implements CLICommand {
    private readonly db;
    private readonly queries;
    private readonly restrictionTables;
    constructor(db: DatabaseConnection);
    /**
     * Clean out expired data, update the schema to have start_date and end_date then populate those fields
     */
    run(argv: string[]): Promise<void>;
    private clean;
    private applyRestrictionDates;
    private updateRestrictionDatesOnTable;
    /**
     * Given a short form restriction month MMDD this method will return the first instance of that date that occurs
     * after the given date. For example with a restriction date of 2017-06-01 the earliest date of 0301 is 2018-03-01
     */
    private getFirstDateAfter;
    private queryWithRetry;
    private setNetworkAreaRestrictionCodes;
}
