import { CLICommand } from "./CLICommand";
import { ImportFeedCommand } from "./ImportFeedCommand";
import { DatabaseConfiguration, DatabaseConnection } from "../database/DatabaseConnection";
import { GTFSImportCommand } from "./GTFSImportCommand";
export declare class Container {
    getCommand(type: string): Promise<CLICommand>;
    getFaresImportCommand(): Promise<ImportFeedCommand>;
    getRouteingImportCommand(): Promise<ImportFeedCommand>;
    getTimetableImportCommand(): Promise<ImportFeedCommand>;
    getNFM64ImportCommand(): Promise<ImportFeedCommand>;
    getCleanFaresCommand(): Promise<CLICommand>;
    getShowHelpCommand(): Promise<CLICommand>;
    getImportGTFSCommand(): Promise<GTFSImportCommand>;
    private getOutputGTFSCommandWithOutput;
    private getOutputGTFSCommand;
    private getOutputGTFSZipCommand;
    private getDownloadCommand;
    private getDownloadNFM64Command;
    private getDownloadAndProcessCommand;
    private getDownloadAndProcessNFM64Command;
    private getSFTP;
    getDatabaseConnection(): DatabaseConnection;
    getDatabaseStream(): any;
    get databaseConfiguration(): DatabaseConfiguration;
}
