"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DownloadAndProcessCommand = void 0;
class DownloadAndProcessCommand {
    constructor(download, process) {
        this.download = download;
        this.process = process;
    }
    /**
     * Download and process the feed in one command
     */
    async run(argv) {
        const files = await this.download.run([]);
        for (const filename of files) {
            try {
                await this.process.doImport(filename);
            }
            catch (err) {
                console.error(err);
            }
        }
        return this.process.end();
    }
}
exports.DownloadAndProcessCommand = DownloadAndProcessCommand;
//# sourceMappingURL=DownloadAndProcessCommand.js.map