import { CLICommand } from "./CLICommand";
import { PromiseSFTP } from "../sftp/PromiseSFTP";
import { DatabaseConnection } from "../database/DatabaseConnection";
export declare class DownloadCommand implements CLICommand {
    private readonly db;
    private readonly sftp;
    private readonly directory;
    constructor(db: DatabaseConnection, sftp: PromiseSFTP, directory: string);
    /**
     * Download the latest refresh file from an SFTP server
     */
    run(argv: string[]): Promise<string[]>;
    private getLastProcessedFile;
    /**
     * Do a directory listing to get the filename of the last full refresh
     */
    private getFilesToProcess;
}
