"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DownloadFileCommand = void 0;
const http = require("http");
const fs = require("fs");
class DownloadFileCommand {
    constructor(url) {
        this.url = url;
    }
    /**
     * Download the file from a HTTP server
     */
    async run(argv) {
        console.log(`Downloading ${this.url}...`);
        const outputDirectory = argv[3] || "/tmp/";
        const filename = outputDirectory + "nfm64.zip";
        return new Promise((resolve, reject) => {
            const file = fs.createWriteStream(filename);
            http.get(this.url, response => {
                response.pipe(file);
                file.on("error", reject);
                file.on("finish", () => {
                    file.close();
                    resolve([filename]);
                });
            });
        });
    }
}
exports.DownloadFileCommand = DownloadFileCommand;
//# sourceMappingURL=DownloadFileCommand.js.map