"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GTFSImportCommand = void 0;
const child_process_1 = require("child_process");
const schema_1 = require("../../config/gtfs/schema");
const import_1 = require("../../config/gtfs/import");
class GTFSImportCommand {
    constructor(db) {
        this.db = db;
    }
    /**
     * Create the text files and then zip them up using a CLI command that hopefully exists.
     */
    async run(argv) {
        const path = argv[3] || "./";
        const schemaEsc = schema_1.schema.replace(/`/g, "\\`");
        const importSQLEsc = import_1.importSQL.replace(/`/g, "\\`");
        const mysqlExec = `mysql --local-infile -h${this.db.host} -u${this.db.user} ${this.db.password ? "-p" + this.db.password : ""} ${this.db.database} -e`;
        (0, child_process_1.execSync)(`${mysqlExec} "${schemaEsc}"`, { cwd: path });
        (0, child_process_1.execSync)(`${mysqlExec} "${importSQLEsc}"`, { cwd: path });
    }
}
exports.GTFSImportCommand = GTFSImportCommand;
//# sourceMappingURL=GTFSImportCommand.js.map