import { CLICommand } from "./CLICommand";
import { CIFRepository } from "../gtfs/repository/CIFRepository";
import { GTFSOutput } from "../gtfs/output/GTFSOutput";
export declare class OutputGTFSCommand implements CLICommand {
    private readonly repository;
    private readonly output;
    private baseDir;
    constructor(repository: CIFRepository, output: GTFSOutput);
    /**
     * Turn the timetable feed into GTFS files
     */
    run(argv: string[]): Promise<void>;
    /**
     * Map SQL records to a file
     */
    private copy;
    /**
     * trips.txt, stop_times.txt and routes.txt have interdependencies so they are written together
     */
    private copyTrips;
    private getSchedules;
}
