"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OutputGTFSZipCommand = void 0;
const fs = require("fs");
const child_process_1 = require("child_process");
class OutputGTFSZipCommand {
    constructor(command) {
        this.command = command;
    }
    /**
     * Create the text files and then zip them up using a CLI command that hopefully exists.
     */
    async run(argv) {
        const filename = argv[3] || "./gtfs.zip";
        if (fs.existsSync(filename)) {
            fs.unlinkSync(filename);
        }
        argv[3] = "/tmp/gtfs/";
        if (!fs.existsSync(argv[3])) {
            fs.mkdirSync(argv[3]);
        }
        await this.command.run(argv);
        // when node tells you it's finished writing a file, it's lying.
        setTimeout(() => {
            console.log("Writing " + filename);
            (0, child_process_1.execSync)(`zip -j ${filename} ${argv[3]}/*.txt`);
        }, 1000);
    }
}
exports.OutputGTFSZipCommand = OutputGTFSZipCommand;
//# sourceMappingURL=OutputGTFSZipCommand.js.map