/// <reference types="node" />
import { Writable } from "stream";
import { MySQLTable } from "./MySQLTable";
import { FeedFile } from "../feed/file/FeedFile";
export declare class MySQLStream extends Writable {
    private readonly filename;
    private readonly file;
    private readonly tables;
    constructor(filename: string, file: FeedFile, tables: TableIndex);
    _write(line: string, encoding: string, callback: WritableCallback): Promise<void>;
    _final(callback: WritableCallback): Promise<void>;
}
export type WritableCallback = (error?: Error | null) => void;
export type TableIndex = {
    [tableName: string]: MySQLTable;
};
