import { DatabaseConnection } from "./DatabaseConnection";
import { ParsedRecord } from "../feed/record/Record";
/**
 * Stateful class that provides access to a MySQL table and acts as buffer for inserts.
 */
export declare class MySQLTable {
    private readonly db;
    private readonly tableName;
    private readonly flushLimit;
    private readonly buffer;
    constructor(db: DatabaseConnection, tableName: string, flushLimit?: number);
    /**
     * Insert the given row to the table
     */
    apply(row: ParsedRecord): Promise<void>;
    /**
     * Flush the table
     */
    private flush;
    /**
     * Flush and return all promises
     */
    close(): Promise<any>;
    /**
     * Query with retry. Sometimes locking errors occur
     */
    private queryWithRetry;
    private query;
    private getDeleteSQL;
}
