"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BooleanField = void 0;
const Field_1 = require("./Field");
class BooleanField extends Field_1.Field {
    constructor(start, nullable = false, truthyChars = ["Y", "1"], falseChars = ["N", "0"], nullChars = [" ", "*"]) {
        super(start, 1, nullable, nullChars);
        this.start = start;
        this.nullable = nullable;
        this.truthyChars = truthyChars;
        this.falseChars = falseChars;
        this.nullChars = nullChars;
    }
    /**
     * Turn a single character field into a 1 or 0
     */
    parse(value) {
        if (this.truthyChars.indexOf(value) >= 0) {
            return 1;
        }
        else if (this.falseChars.indexOf(value) >= 0) {
            return 0;
        }
        else {
            throw new Field_1.ParseError(`Unable to interpret "${value}" as boolean`);
        }
    }
}
exports.BooleanField = BooleanField;
//# sourceMappingURL=BooleanField.js.map