import { Field } from "./Field";
/**
 * DTD date field (e.g. 3112999)
 */
export declare class DateField extends Field {
    constructor(start: number, nullable?: boolean);
    /**
     * Turn a DTD formatted date into a MySQL formatted date
     */
    protected parse(value: string): string;
}
/**
 * Short format DTD date (e.g. 170531)
 */
export declare class ShortDateField extends Field {
    constructor(start: number, nullable?: boolean);
    /**
     * Turn a DTD formatted date into a MySQL formatted date
     */
    protected parse(value: string): string;
}
/**
 * Placeholder date for the restriction date columns
 */
export declare class NullDateField extends Field {
    constructor();
    /**
     * Always return null
     */
    protected parse(value: string): null;
}
