"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DoubleField = void 0;
const Field_1 = require("./Field");
class DoubleField extends Field_1.Field {
    constructor(position, length, decimalDigits, isNullable = false) {
        super(position, length, isNullable, [" ", "*", "9"]);
        this.decimalDigits = decimalDigits;
    }
    /**
     * Cast to a number
     */
    parse(value) {
        const floatValue = parseFloat(value);
        if (isNaN(floatValue)) {
            throw new Field_1.ParseError(`Error parsing float: "${value}"`);
        }
        return floatValue;
    }
}
exports.DoubleField = DoubleField;
//# sourceMappingURL=DoubleField.js.map