"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZeroFillIntField = exports.IntField = void 0;
const Field_1 = require("./Field");
class IntField extends Field_1.Field {
    constructor(position, length, nullable = false, nullChars = [" ", "*", "9"]) {
        super(position, length, nullable, nullChars);
    }
    /**
     * Try to process this string as an integer
     */
    parse(value) {
        const intValue = parseInt(value);
        if (isNaN(intValue)) {
            throw new Field_1.ParseError(`Error parsing int: "${value}" isNaN`);
        }
        return intValue;
    }
}
exports.IntField = IntField;
class ZeroFillIntField extends Field_1.Field {
    /**
     * Zero filled ints are stored as padded chars
     */
    parse(value) {
        return value.padStart(this.length, "0");
    }
}
exports.ZeroFillIntField = ZeroFillIntField;
//# sourceMappingURL=IntField.js.map