"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeField = void 0;
const Field_1 = require("./Field");
class TimeField extends Field_1.Field {
    constructor(start, length, nullable = true, nullChars = [" ", "0"]) {
        super(start, length, nullable, nullChars);
    }
    /**
     * 0745 -> 07:45:00
     * 0745H -> 07:45:30
     */
    parse(value) {
        const minsAndSeconds = `${value.substr(0, 2)}:${value.substr(2, 2)}`;
        return this.length === 5 && value.charAt(4) === "H" ? minsAndSeconds + ":30" : minsAndSeconds + ":00";
    }
}
exports.TimeField = TimeField;
//# sourceMappingURL=TimeField.js.map