import { Record } from "../record/Record";
import { FeedFile } from "./FeedFile";
export declare class MultiRecordFile implements FeedFile {
    readonly records: RecordTypeMap;
    readonly typeStart: number;
    readonly typeLength: number;
    constructor(records: RecordTypeMap, typeStart?: number, typeLength?: number);
    /**
     * Return all possible record types
     */
    get recordTypes(): Record[];
    /**
     * Look at the characters in the given line to determine which record type is relevant
     */
    getRecord(line: string): Record;
}
export type RecordTypeMap = {
    [recordIdentifier: string]: Record;
};
