"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MultiRecordFile = void 0;
class MultiRecordFile {
    constructor(records, typeStart = 1, typeLength = 1) {
        this.records = records;
        this.typeStart = typeStart;
        this.typeLength = typeLength;
    }
    /**
     * Return all possible record types
     */
    get recordTypes() {
        return Object.values(this.records);
    }
    /**
     * Look at the characters in the given line to determine which record type is relevant
     */
    getRecord(line) {
        return this.records[line.substr(this.typeStart, this.typeLength)];
    }
}
exports.MultiRecordFile = MultiRecordFile;
//# sourceMappingURL=MultiRecordFile.js.map