"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SingleRecordFile = void 0;
class SingleRecordFile {
    constructor(recordType, filter = null) {
        this.recordType = recordType;
        this.filter = filter;
    }
    /**
     * Return the record type wrapped in an array
     */
    get recordTypes() {
        return [this.recordType];
    }
    /**
     * Return the record type
     */
    getRecord(line) {
        if (this.filter === null || this.filter(line)) {
            return this.recordType;
        }
        return null;
    }
}
exports.SingleRecordFile = SingleRecordFile;
//# sourceMappingURL=SingleRecordFile.js.map