import { FieldMap, ParsedRecord, Record } from "./Record";
export declare class CSVRecord implements Record {
    readonly name: string;
    readonly key: string[];
    readonly fields: FieldMap;
    readonly indexes: string[];
    readonly fieldDelimiter: string | RegExp;
    readonly orderedInserts: boolean;
    constructor(name: string, key: string[], fields: FieldMap, indexes?: string[], fieldDelimiter?: string | RegExp, orderedInserts?: boolean);
    private get fieldValues();
    /**
     * Split the CSV string and look up the relevant field to do the parsing
     */
    extractValues(line: string): ParsedRecord;
}
