"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CSVRecord = void 0;
const Record_1 = require("./Record");
const memoize = require("memoized-class-decorator");
class CSVRecord {
    constructor(name, key, fields, indexes = [], fieldDelimiter = ",", orderedInserts = false) {
        this.name = name;
        this.key = key;
        this.fields = fields;
        this.indexes = indexes;
        this.fieldDelimiter = fieldDelimiter;
        this.orderedInserts = orderedInserts;
    }
    get fieldValues() {
        return Object.entries(this.fields);
    }
    /**
     * Split the CSV string and look up the relevant field to do the parsing
     */
    extractValues(line) {
        const fieldValues = line.trim().split(this.fieldDelimiter);
        const values = { id: null };
        const action = Record_1.RecordAction.Insert;
        for (let i = 0; i < fieldValues.length; i++) {
            const entry = this.fieldValues.find(([k, f]) => (f.position + fieldValues.length) % fieldValues.length === i);
            if (entry) {
                const [key, field] = entry;
                values[key] = field.extract(fieldValues[i]);
            }
        }
        const keysValues = this.key.reduce((vals, key) => {
            vals[key] = values[key];
            return vals;
        }, {});
        return { action, values, keysValues };
    }
}
exports.CSVRecord = CSVRecord;
__decorate([
    memoize
], CSVRecord.prototype, "fieldValues", null);
//# sourceMappingURL=CSVRecord.js.map