import { FieldMap, ParsedRecord, Record } from "./Record";
/**
 * Record that has multiple row types, used for LI, LO stop records
 */
export declare class MultiFormatRecord implements Record {
    readonly name: string;
    readonly key: string[];
    readonly fields: FieldMap;
    private readonly records;
    private readonly recordIdentifierStart;
    private readonly recordIdentifierLength;
    readonly indexes: string[];
    readonly orderedInserts: boolean;
    lastId: number;
    constructor(name: string, key: string[], fields: FieldMap, records: MultiRecordFieldMap, recordIdentifierStart: number, recordIdentifierLength: number, indexes?: string[], orderedInserts?: boolean);
    /**
     * Extract the relevant part of the line for each field and then get the value from the field
     */
    extractValues(line: string): ParsedRecord;
}
export type MultiRecordFieldMap = {
    [recordIdentifier: string]: FieldMap;
};
