"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.addLateNightServices = void 0;
/**
 * Loop through every schedule and add a copy of any early morning services to the previous day.
 */
function addLateNightServices(schedules, idGenerator) {
    const result = [];
    for (const schedule of schedules) {
        result.push(schedule);
        const departureHour = parseInt(schedule.stopTimes[0].departure_time.substr(0, 2), 10);
        if (departureHour <= 1) {
            const newSchedule = schedule.clone(schedule.calendar.shiftBackward(), idGenerator.next().value);
            for (const stop of newSchedule.stopTimes) {
                stop.departure_time = (parseInt(stop.departure_time.substr(0, 2), 10) + 24) + stop.departure_time.substr(2);
                stop.arrival_time = (parseInt(stop.arrival_time.substr(0, 2), 10) + 24) + stop.arrival_time.substr(2);
            }
            result.push(newSchedule);
        }
    }
    return result;
}
exports.addLateNightServices = addLateNightServices;
//# sourceMappingURL=AddLateNightServices.js.map