import { Association } from "../native/Association";
import { Schedule } from "../native/Schedule";
import { IdGenerator } from "../native/OverlayRecord";
/**
 * Iterate through the associations matching association schedules records with base schedules and applying the
 * association as a join or split.
 *
 * Splits prepend the base schedule (0, point of split) to the association schedule
 * Joins append the base schedule (point of split, end) to the association schedule
 */
export declare function applyAssociations(schedulesByTuid: ScheduleIndex, associationsIndex: AssociationIndex, idGenerator: IdGenerator): ScheduleIndex;
export type ScheduleIndex = {
    [tuid: string]: Schedule[];
};
export type AssociationIndex = {
    [tuid: string]: Association[];
};
