"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCalendar = void 0;
/**
 * Return the unique GTFS calendars and an index mapping calendar ID to service ID
 */
function createCalendar(schedules) {
    const serviceIdIndex = {};
    const calendars = [];
    const calendarDates = [];
    let serviceId = 0;
    for (const schedule of schedules) {
        if (!serviceIdIndex[schedule.calendar.id]) {
            serviceIdIndex[schedule.calendar.id] = ++serviceId;
            calendars.push(schedule.calendar.toCalendar(serviceId));
            calendarDates.push(...schedule.calendar.toCalendarDates(serviceId));
        }
    }
    return [calendars, calendarDates, serviceIdIndex];
}
exports.createCalendar = createCalendar;
//# sourceMappingURL=CreateCalendar.js.map