import { IdGenerator } from "../native/OverlayRecord";
import { Schedule } from "../native/Schedule";
/**
 * This class takes a stream of results and builds a list of Schedules
 */
export declare class ScheduleBuilder {
    private readonly schedules;
    private maxId;
    /**
     * Take a stream of ScheduleStopTimeRow, turn them into Schedule objects and add the result to the schedules
     */
    loadSchedules(results: any): Promise<void>;
    private createSchedule;
    private createStop;
    private formatTime;
    get results(): ScheduleResults;
    private getIdGenerator;
}
export interface ScheduleResults {
    schedules: Schedule[];
    idGenerator: IdGenerator;
}
