export declare const schema = "\nDROP TABLE IF EXISTS agency;\nCREATE TABLE agency (\n  agency_id varchar(100) NOT NULL,\n  agency_name varchar(255) NOT NULL,\n  agency_url varchar(255) NOT NULL,\n  agency_timezone varchar(100) NOT NULL,\n  agency_lang varchar(100) DEFAULT NULL,\n  agency_phone varchar(100) DEFAULT NULL,\n  agency_fare_url varchar(100) DEFAULT NULL,\n  PRIMARY KEY (agency_id)\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;\n\nDROP TABLE IF EXISTS calendar;\nCREATE TABLE calendar (\n  service_id smallint(12) unsigned NOT NULL,\n  monday tinyint(1) unsigned NOT NULL,\n  tuesday tinyint(1) unsigned NOT NULL,\n  wednesday tinyint(1) unsigned NOT NULL,\n  thursday tinyint(1) unsigned NOT NULL,\n  friday tinyint(1) unsigned NOT NULL,\n  saturday tinyint(1) unsigned NOT NULL,\n  sunday tinyint(1) unsigned NOT NULL,\n  start_date date NOT NULL,\n  end_date date NOT NULL,\n  PRIMARY KEY (service_id),\n  KEY start_date (start_date),\n  KEY end_date (end_date),\n  KEY monday (monday),\n  KEY tuesday (tuesday),\n  KEY wednesday (wednesday),\n  KEY thursday (thursday),\n  KEY friday (friday),\n  KEY saturday (saturday),\n  KEY sunday (sunday)\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;\n\nDROP TABLE IF EXISTS calendar_dates;\nCREATE TABLE calendar_dates (\n  service_id smallint(12) unsigned NOT NULL,\n  date date NOT NULL,\n  exception_type tinyint(2) unsigned NOT NULL,\n  PRIMARY KEY (service_id, date)\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;\n\nDROP TABLE IF EXISTS links;\nCREATE TABLE links (\n  from_stop_id varchar(100) NOT NULL,\n  to_stop_id varchar(100) NOT NULL,\n  mode VARCHAR (15) NOT NULL,\n  duration smallint(8) unsigned NOT NULL,\n  start_time time NOT NULL,\n  end_time time NOT NULL,\n  start_date date NOT NULL,\n  end_date date NOT NULL,\n  monday tinyint(1) unsigned NOT NULL,\n  tuesday tinyint(1) unsigned NOT NULL,\n  wednesday tinyint(1) unsigned NOT NULL,\n  thursday tinyint(1) unsigned NOT NULL,\n  friday tinyint(1) unsigned NOT NULL,\n  saturday tinyint(1) unsigned NOT NULL,\n  sunday tinyint(1) unsigned NOT NULL\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;\n\nDROP TABLE IF EXISTS routes;\nCREATE TABLE routes (\n  route_id varchar(100) NOT NULL,\n  agency_id varchar(100) DEFAULT NULL,\n  route_short_name varchar(50) NOT NULL,\n  route_long_name varchar(255) NOT NULL,\n  route_type mediumint(12) unsigned NOT NULL,\n  route_text_color varchar(255) DEFAULT NULL,\n  route_color varchar(255) DEFAULT NULL,\n  route_url varchar(255) DEFAULT NULL,\n  route_desc varchar(255) DEFAULT NULL,\n  PRIMARY KEY (route_id)\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;\n\nDROP TABLE IF EXISTS shapes;\nCREATE TABLE shapes (\n  shape_id smallint(12) unsigned NOT NULL,\n  shape_pt_lat decimal(8,6) NOT NULL,\n  shape_pt_lon decimal(8,6) NOT NULL,\n  shape_pt_sequence tinyint(3) NOT NULL,\n  shape_dist_traveled varchar(50) DEFAULT NULL,\n  PRIMARY KEY (shape_id)\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;\n\nDROP TABLE IF EXISTS stop_times;\nCREATE TABLE stop_times (\n  trip_id mediumint(12) unsigned NOT NULL,\n  arrival_time time DEFAULT NULL,\n  departure_time time DEFAULT NULL,\n  stop_id varchar(100) NOT NULL,\n  stop_sequence tinyint(1) unsigned NOT NULL,\n  stop_headsign varchar(50) DEFAULT NULL,\n  pickup_type tinyint(1) unsigned DEFAULT NULL,\n  drop_off_type tinyint(1) unsigned DEFAULT NULL,\n  shape_dist_traveled varchar(50) DEFAULT NULL,\n  timepoint tinyint(1) unsigned DEFAULT NULL,\n  PRIMARY KEY (trip_id, stop_sequence),\n  KEY arrival_time (arrival_time),\n  KEY departure_time (departure_time),\n  KEY stop_id (stop_id)\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;\n\nDROP TABLE IF EXISTS stops;\nCREATE TABLE stops (\n  stop_id varchar(100) NOT NULL,\n  stop_code varchar(50) DEFAULT NULL,\n  stop_name varchar(255) NOT NULL,\n  stop_desc varchar(255) DEFAULT NULL,\n  stop_lat double DEFAULT NULL,\n  stop_lon double DEFAULT NULL,\n  zone_id varchar(255) DEFAULT NULL,\n  stop_url varchar(255) DEFAULT NULL,\n  location_type varchar(2) DEFAULT NULL,\n  parent_station varchar(100) DEFAULT NULL,\n  stop_timezone varchar(50) DEFAULT NULL,\n  wheelchair_boarding tinyint(1) unsigned DEFAULT NULL,\n  PRIMARY KEY (stop_id)\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;\n\nDROP TABLE IF EXISTS transfers;\nCREATE TABLE transfers (\n  from_stop_id varchar(100) NOT NULL,\n  to_stop_id varchar(100) NOT NULL,\n  transfer_type tinyint(1) unsigned NOT NULL,\n  min_transfer_time smallint(8) unsigned NOT NULL,\n  PRIMARY KEY (from_stop_id, to_stop_id, transfer_type)\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;\n\nDROP TABLE IF EXISTS trips;\nCREATE TABLE trips (\n  route_id varchar(255) NOT NULL,\n  service_id smallint(12) unsigned NOT NULL,\n  trip_id mediumint(12) unsigned NOT NULL,\n  trip_headsign varchar(50) DEFAULT NULL,\n  trip_short_name varchar(50) DEFAULT NULL,\n  direction_id tinyint(1) unsigned DEFAULT NULL,\n  wheelchair_accessible tinyint(1) unsigned DEFAULT NULL,\n  bikes_allowed tinyint(1) unsigned DEFAULT NULL,\n  PRIMARY KEY (trip_id),\n  KEY service_id (service_id),\n  KEY trip (trip_headsign)\n) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;";
